summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAki <please@ignore.pl>2023-04-15 23:31:17 +0200
committerAki <please@ignore.pl>2023-04-15 23:31:17 +0200
commit511971a93fccad7d8c161a7a1c3e2b8c80f7c90b (patch)
tree986f4ebb2c44427d94b718f8822f022fa6f56c7a
parent9173da7a495eab62831579ab3a0b59f9fc0ac21e (diff)
downloaddots-511971a93fccad7d8c161a7a1c3e2b8c80f7c90b.zip
dots-511971a93fccad7d8c161a7a1c3e2b8c80f7c90b.tar.gz
dots-511971a93fccad7d8c161a7a1c3e2b8c80f7c90b.tar.bz2
Added bashrc and profile
-rw-r--r--.bashrc36
-rw-r--r--.profile1
2 files changed, 37 insertions, 0 deletions
diff --git a/.bashrc b/.bashrc
new file mode 100644
index 0000000..85c6dc2
--- /dev/null
+++ b/.bashrc
@@ -0,0 +1,36 @@
+#!/usr/bin/bash
+# If not running interactively, don't do anything
+[[ $- != *i* ]] && return
+
+. /usr/share/git/git-prompt.sh
+. /etc/profile.d/lfcd.sh
+. /usr/share/bash-completion/bash_completion
+
+mkcd(){
+ mkdir -p $1 && cd $1
+}
+
+venv(){
+ [ -f .venv/bin/activate ] || { echo "could not find .venv" >&2; return 1; }
+ . .venv/bin/activate
+}
+
+PS1='\[\033[32m\]\h\[\033[0m\]:\[\033[33m\]\w\[\033[0m\]$(__git_ps1 ":\[\033[31m\]%s\[\033[0m\]")\$ '
+
+export EDITOR=vis
+export GOPATH="$HOME/.local/go"
+export MANPAGER="less -R --use-color -Du+c"
+export LESSHISTFILE="/dev/null"
+export HISTSIZE=5000
+export HISTFILESIZE=5000
+export HISTCONTROL=ignorespace:ignoredups
+
+alias lfc='lfcd'
+alias ls='ls --color=auto'
+alias grep='grep --color=auto'
+alias diff='diff --color=auto'
+alias ip='ip -color=auto'
+alias ?='echo $?'
+
+bind '"":" lfc\n"'
+bind -x '" ":"setsid st >/dev/null 2>&1"'
diff --git a/.profile b/.profile
new file mode 100644
index 0000000..f8d7a80
--- /dev/null
+++ b/.profile
@@ -0,0 +1 @@
+[ -d ~/.local/bin ] && PATH="~/.local/bin:$PATH"